Bug 532265 - Unusable text mode boot after preupgrade F11 to f12
Unusable text mode boot after preupgrade F11 to f12
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-31 19:11 EDT by Mark van Rossum
Modified: 2014-01-21 18:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-04 12:46:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark van Rossum 2009-10-31 19:11:16 EDT
Description of problem:
After running the latest preupgrade, and upgrading from f11 to f12
grub.conf
contained
kernel /boot/vmlinuz-2.6.31.5-96.fc12.i686 ro root=...  quiet SYSFONT=latarcyrheb-sun16 LANG=en_GB.UTF-8 KEYTABLE=us

The problem with these boot settings is that in text mode booting, it becomes 
impossible to enter passwords for encrypted partitions.
The keyboard map might be screwed up, backspace does not work, and sometimes the actual password appears on the screen rather than '****'

The solution is to remove the KEYTABLE and LANG options in the boot command, or use the graphical boot, rhgb and vga=0x318

This is on a lenovo t61p laptop.

Version-Release number of selected component (if applicable):


How reproducible:
I'm not gonna try it again...

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bug Zapper 2009-11-16 09:48:10 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora Admin XMLRPC Client 2010-04-16 10:34:55 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Bug Zapper 2010-11-04 02:55:20 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 seth vidal 2010-11-04 12:46:40 EDT
not sure what else can be done here.

Note You need to log in before you can comment on or make changes to this bug.